curl -X GET https://app.dubformer.ai/api/v1/projects \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = 'https://app.dubformer.ai/api/v1/projects'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://app.dubformer.ai/api/v1/projects';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY',
};
fetch(url, {
method: 'GET',
headers,
})
.then(response => response.json())
.then(data => console.log(data));
{
"projects": [
{
"project_id": "12345",
"name": "Project 1",
"status": "ready",
"source_lang": "en",
"target_lang": "fr-FR",
"cost_minutes": 10,
"created_date": "2024-06-01T12:00:00Z"
},
{
"project_id": "67890",
"name": "Project 2",
"status": "in_progress",
"source_lang": "fr",
"target_lang": "de-DE",
"cost_minutes": 15,
"created_date": "2024-06-02T12:00:00Z"
}
]
}
Projects
Get All Projects
Retrieve a list of all projects
GET
/
api
/
v1
/
projects
curl -X GET https://app.dubformer.ai/api/v1/projects \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = 'https://app.dubformer.ai/api/v1/projects'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://app.dubformer.ai/api/v1/projects';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY',
};
fetch(url, {
method: 'GET',
headers,
})
.then(response => response.json())
.then(data => console.log(data));
{
"projects": [
{
"project_id": "12345",
"name": "Project 1",
"status": "ready",
"source_lang": "en",
"target_lang": "fr-FR",
"cost_minutes": 10,
"created_date": "2024-06-01T12:00:00Z"
},
{
"project_id": "67890",
"name": "Project 2",
"status": "in_progress",
"source_lang": "fr",
"target_lang": "de-DE",
"cost_minutes": 15,
"created_date": "2024-06-02T12:00:00Z"
}
]
}
curl -X GET https://app.dubformer.ai/api/v1/projects \
-H "Authorization: Bearer YOUR_API_KEY"
import requests
url = 'https://app.dubformer.ai/api/v1/projects'
headers = {
'Authorization': 'Bearer YOUR_API_KEY',
}
response = requests.get(url, headers=headers)
print(response.json())
const url = 'https://app.dubformer.ai/api/v1/projects';
const headers = {
'Authorization': 'Bearer YOUR_API_KEY',
};
fetch(url, {
method: 'GET',
headers,
})
.then(response => response.json())
.then(data => console.log(data));
Response
array
Array of project objects with summary information.
Show Project Object Properties
Show Project Object Properties
{
"projects": [
{
"project_id": "12345",
"name": "Project 1",
"status": "ready",
"source_lang": "en",
"target_lang": "fr-FR",
"cost_minutes": 10,
"created_date": "2024-06-01T12:00:00Z"
},
{
"project_id": "67890",
"name": "Project 2",
"status": "in_progress",
"source_lang": "fr",
"target_lang": "de-DE",
"cost_minutes": 15,
"created_date": "2024-06-02T12:00:00Z"
}
]
}
Filtering and Pagination
Currently, the API returns all projects for your account. Filtering and pagination parameters may be added in future versions.For detailed project information including output files and scripts, use the Get Project endpoint with a specific project ID.
⌘I